// Desc: Recruit A.I. Dialog
// Function: Recruit upto five squad members from a basic Infantry selection
// By: =ODIN=
// Version: 1.0 (Jan 2008)
// Control types
#define CT_STATIC           0
#define CT_BUTTON           1
#define CT_EDIT             2
#define CT_SLIDER           3
#define CT_COMBO            4
#define CT_LISTBOX          5
#define CT_TOOLBOX          6
#define CT_CHECKBOXES       7
#define CT_PROGRESS         8
#define CT_HTML             9
#define CT_STATIC_SKEW      10
#define CT_ACTIVETEXT       11
#define CT_TREE             12
#define CT_STRUCTURED_TEXT  13
#define CT_CONTEXT_MENU     14
#define CT_CONTROLS_GROUP   15
#define CT_XKEYDESC         40
#define CT_XBUTTON          41
#define CT_XLISTBOX         42
#define CT_XSLIDER          43
#define CT_XCOMBO           44
#define CT_ANIMATED_TEXTURE 45
#define CT_OBJECT           80
#define CT_OBJECT_ZOOM      81
#define CT_OBJECT_CONTAINER 82
#define CT_OBJECT_CONT_ANIM 83
#define CT_LINEBREAK        98
#define CT_USER             99
#define CT_MAP              100
#define CT_MAP_MAIN         101


// Static styles
#define ST_POS            0x0F
#define ST_HPOS           0x03
#define ST_VPOS           0x0C
#define ST_LEFT           0x00
#define ST_RIGHT          0x01
#define ST_CENTER         0x02
#define ST_DOWN           0x04
#define ST_UP             0x08
#define ST_VCENTER        0x0c

#define ST_TYPE           0xF0
#define ST_SINGLE         0
#define ST_MULTI          16
#define ST_TITLE_BAR      32
#define ST_PICTURE        48
#define ST_FRAME          64
#define ST_BACKGROUND     80
#define ST_GROUP_BOX      96
#define ST_GROUP_BOX2     112
#define ST_HUD_BACKGROUND 128
#define ST_TILE_PICTURE   144
#define ST_WITH_RECT      160
#define ST_LINE           176

#define FontM             "Zeppelin32"
#define Color_Armagreen 0.618100,0.924800,0.1980000

class hire {
idd = -1;   // set to -1, because we don't require a unique ID
movingEnable = true;   // no movement while the dialog is shown
controlsBackground[] = { };   // no background controls needed
objects[] = { };   // no objects needed
controls[] = { MyBackgound,MyActiveText,MyActiveText2,MyActiveText3,MyActiveText4,MyActiveText5,MyActiveText6,MyActiveText7,MyActiveText8,MyActiveText9, };   // our Hello World text as seen below:

class MyBackgound {
idc = -1;   // set to -1, unneeded
type = CT_STATIC;   // constant
style = ST_LEFT;   // constant
text = "";
font = FontM;
sizeEx = 0.023;

colorBackground[] = { 0.4, 0.65, 0.15, 0.2 };
colorText[] = { 0, 0, 0, 0 };

x = 0.73;
y = 0.02;
w = 0.24;
h = 0.5;
};

class MyActiveText {
idc = -1;
type = CT_BUTTON;
style = ST_LEFT;
x = 0.75; y = 0.05;
w = 0.2; h = 0.035;
font = FontM;
sizeEx = 0.024;
	colorText[] = { 0, 0, 0, 1 };
	colorFocused[] = { Color_Armagreen };   // border color for focused state
 	colorDisabled[] = { 0, 0, 1, 0.7 };   // text color for disabled state
	colorBackground[] = { 1, 1, 1, 0.8 };
	colorBackgroundDisabled[] = { 1, 1, 1, 0.5 };   // background color for disabled state
	colorBackgroundActive[] = { 1, 1, 1, 1 };   // background color for active state
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0.5 };
	colorBorder[] = { 0, 0, 0, 1 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };  // no sound
	soundPush[] = { "buttonpushed.ogg", 0.1, 1 };
	soundClick[] = { "", 0, 1 };  // no sound
	soundEscape[] = { "", 0, 1 };  // no sound
action = "nul = [""SoldierWB""] exec ""scripts\RecWest\hireW.sqs""";
text = "Recruit Rifleman";
default = true;
};
class MyActiveText2 {
idc = -1;
type = CT_BUTTON;
style = ST_LEFT;
x = 0.75; y = 0.10;
w = 0.2; h = 0.035;
font = FontM;
sizeEx = 0.024;
	colorText[] = { 0, 0, 0, 1 };
	colorFocused[] = { Color_Armagreen };   // border color for focused state
	colorDisabled[] = { 0, 0, 1, 0.7 };   // text color for disabled state
	colorBackground[] = { 1, 1, 1, 0.8 };
	colorBackgroundDisabled[] = { 1, 1, 1, 0.5 };   // background color for disabled state
	colorBackgroundActive[] = { 1, 1, 1, 1 };   // background color for active state
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0.5 };
	colorBorder[] = { 0, 0, 0, 1 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };  // no sound
	soundPush[] = { "buttonpushed.ogg", 0.1, 1 };
	soundClick[] = { "", 0, 1 };  // no sound
	soundEscape[] = { "", 0, 1 };  // no sound
action = "nul = [""SoldierWMG""] exec ""scripts\RecWest\hireW1.sqs""";
text = "Recruit MG";
default = true;
};
class MyActiveText3 {
idc = -1;
type = CT_BUTTON;
style = ST_LEFT;
x = 0.75; y = 0.15;
w = 0.2; h = 0.035;
font = FontM;
sizeEx = 0.024;
	colorText[] = { 0, 0, 0, 1 };
	colorFocused[] = { Color_Armagreen };   // border color for focused state
	colorDisabled[] = { 0, 0, 1, 0.7 };   // text color for disabled state
	colorBackground[] = { 1, 1, 1, 0.8 };
	colorBackgroundDisabled[] = { 1, 1, 1, 0.5 };   // background color for disabled state
	colorBackgroundActive[] = { 1, 1, 1, 1 };   // background color for active state
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0.5 };
	colorBorder[] = { 0, 0, 0, 1 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };  // no sound
	soundPush[] = { "buttonpushed.ogg", 0.1, 1 };
	soundClick[] = { "", 0, 1 };  // no soundPic
	soundEscape[] = { "", 0, 1 };  // no sound
action = "nul = [""SoldierWMedic""] exec ""scripts\RecWest\hireW2.sqs""";
text = "Recruit Medic";
default = true;
};
class MyActiveText4 {
idc = -1;
type = CT_BUTTON;
style = ST_LEFT;
x = 0.75; y = 0.20;
w = 0.2; h = 0.035;
font = FontM;
sizeEx = 0.024;
	colorText[] = { 0, 0, 0, 1 };
	colorFocused[] = { Color_Armagreen };   // border color for focused state
	colorDisabled[] = { 0, 0, 1, 0.7 };   // text color for disabled state
	colorBackground[] = { 1, 1, 1, 0.8 };
	colorBackgroundDisabled[] = { 1, 1, 1, 0.5 };   // background color for disabled state
	colorBackgroundActive[] = { 1, 1, 1, 1 };   // background color for active state
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0.5 };
	colorBorder[] = { 0, 0, 0, 1 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };  // no sound
	soundPush[] = { "buttonpushed.ogg", 0.1, 1 };
	soundClick[] = { "", 0, 1 };  // no sound
	soundEscape[] = { "", 0, 1 };  // no sound
action = "nul = [""SoldierWMiner""] exec ""scripts\RecWest\hireW3.sqs""";
text = "Recruit Engineer";
default = true;
};
class MyActiveText5 {
idc = -1;
type = CT_BUTTON;
style = ST_LEFT;
x = 0.75; y = 0.25;
w = 0.2; h = 0.035;
font = FontM;
sizeEx = 0.024;
	colorText[] = { 0, 0, 0, 1 };
	colorFocused[] = { Color_Armagreen };   // border color for focused state
	colorDisabled[] = { 0, 0, 1, 0.7 };   // text color for disabled state
	colorBackground[] = { 1, 1, 1, 0.8 };
	colorBackgroundDisabled[] = { 1, 1, 1, 0.5 };   // background color for disabled state
	colorBackgroundActive[] = { 1, 1, 1, 1 };   // background color for active state
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0.5 };
	colorBorder[] = { 0, 0, 0, 1 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };  // no sound
	soundPush[] = { "buttonpushed.ogg", 0.1, 1 };
	soundClick[] = { "", 0, 1 };  // no sound
	soundEscape[] = { "", 0, 1 };  // no sound
action = "nul = [""SoldierWAT""] exec ""scripts\RecWest\hireW4.sqs""";
text = "Recruit AT Soldier";
default = true;
};
class MyActiveText6 {
idc = -1;
type = CT_BUTTON;
style = ST_LEFT;
x = 0.75; y = 0.30;
w = 0.2; h = 0.035;
font = FontM;
sizeEx = 0.024;
	colorText[] = { 0, 0, 0, 1 };
	colorFocused[] = { Color_Armagreen };   // border color for focused state
	colorDisabled[] = { 0, 0, 1, 0.7 };   // text color for disabled state
	colorBackground[] = { 1, 1, 1, 0.8 };
	colorBackgroundDisabled[] = { 1, 1, 1, 0.5 };   // background color for disabled state
	colorBackgroundActive[] = { 1, 1, 1, 1 };   // background color for active state
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0.5 };
	colorBorder[] = { 0, 0, 0, 1 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };  // no sound
	soundPush[] = { "buttonpushed.ogg", 0.1, 1 };
	soundClick[] = { "", 0, 1 };  // no sound
	soundEscape[] = { "", 0, 1 };  // no sound
action = "nul = [""SoldierWAA""] exec ""scripts\RecWest\hireW5.sqs""";
text = "Recruit AA Soldier";
default = true;
};
class MyActiveText7 {
idc = -1;
type = CT_BUTTON;
style = ST_LEFT;
x = 0.75; y = 0.35;
w = 0.2; h = 0.035;
font = FontM;
sizeEx = 0.024;
	colorText[] = { 0, 0, 0, 1 };
	colorFocused[] = { Color_Armagreen };   // border color for focused state
	colorDisabled[] = { 0, 0, 1, 0.7 };   // text color for disabled statetab 
	colorBackground[] = { 1, 1, 1, 0.8 };
	colorBackgroundDisabled[] = { 1, 1, 1, 0.5 };   // background color for disabled state
	colorBackgroundActive[] = { 1, 1, 1, 1 };   // background color for active state
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0.5 };
	colorBorder[] = { 0, 0, 0, 1 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };  // no sound
	soundPush[] = { "buttonpushed.ogg", 0.1, 1 };
	soundClick[] = { "", 0, 1 };  // no sound
	soundEscape[] = { "", 0, 1 };  // no sound
action = "nul = [""SoldierWSniper""] exec ""scripts\RecWest\hireW6.sqs""";
text = "Recruit Sniper";
default = true;
};
class MyActiveText8 {
idc = -1;
type = CT_BUTTON;
style = ST_LEFT;
x = 0.75; y = 0.40;
w = 0.2; h = 0.035;
font = FontM;
sizeEx = 0.024;
	colorText[] = { 0, 0, 0, 1 };
	colorFocused[] = { Color_Armagreen };   // border color for focused state
	colorDisabled[] = { 0, 0, 1, 0.7 };   // text color for disabled state
	colorBackground[] = { 1, 1, 1, 0.8 };
	colorBackgroundDisabled[] = { 1, 1, 1, 0.5 };   // background color for disabled state
	colorBackgroundActive[] = { 1, 1, 1, 1 };   // background color for active state
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0.5 };
	colorBorder[] = { 0, 0, 0, 1 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };  // no sound
	soundPush[] = { "buttonpushed.ogg", 0.1, 1 };
	soundClick[] = { "", 0, 1 };  // no sound
	soundEscape[] = { "", 0, 1 };  // no sound 
action = "nul = [""SoldierWG""] exec ""scripts\RecWest\hireW7.sqs""";
text = "Recruit Grenadier";
default = true; 
};
class MyActiveText9 {
idc = -1;
type = CT_BUTTON;
style = ST_LEFT;
x = 0.75; y = 0.45;
w = 0.2; h = 0.035;
font = FontM;
sizeEx = 0.024;
	colorText[] = { 0, 0, 0, 1 };
	colorFocused[] = { Color_Armagreen };   // border color for focused state
	colorDisabled[] = { 0, 0, 1, 0.7 };   // text color for disabled state
	colorBackground[] = { 1, 1, 1, 0.8 };
	colorBackgroundDisabled[] = { 1, 1, 1, 0.5 };   // background color for disabled state
	colorBackgroundActive[] = { 1, 1, 1, 1 };   // background color for active state
	offsetX = 0.003;
	offsetY = 0.003;
	offsetPressedX = 0.002;
	offsetPressedY = 0.002;
	colorShadow[] = { 0, 0, 0, 0.5 };
	colorBorder[] = { 0, 0, 0, 1 };
	borderSize = 0;
	soundEnter[] = { "", 0, 1 };  // no sound
	soundPush[] = { "buttonpushed.ogg", 0.1, 1 };
	soundClick[] = { "", 0, 1 };  // no sound
	soundEscape[] = { "", 0, 1 };  // no sound
action = "closeDialog 0";
text = "Exit";
default = true;
};

};